#!/bin/sh
# Potential dependencies on Ubuntu and other apt-based systems:
# sudo apt-get install build-essential libssl-dev libzip-dev
if [ -e zsign.src ]; then
    echo "Directory exists: zsign.src"
    echo "Remove directory and try again"
    exit 1
fi

if [ -e zsign ]; then
    echo "File 'zsign' already exists in current directory."
    echo "Delete file and try again."
    exit 1
fi

git clone https://github.com/zhlynn/zsign zsign.src
cd zsign.src

mkdir build
cd build
cmake ../
make

cp zsign ../..

